## pandas 0.8.0

=== Makefile ===
clean:
	-rm -rf build dist

tseries: pandas/src/tseries.pyx
	python setup.py build_ext --inplace

sparse: pandas/src/sparse.pyx
	-python setup.py build_ext --inplace

test: sparse
	-python pandas/tests/test_libsparse.py

## pandas 0.5.0+git7-gcf32be2

=== debian/changelog ===
pandas (0.5.0+git7-gcf32be2-1) unstable; urgency=low

  * New upstream release with post-release fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Nov 2011 21:15:06 -0400

pandas (0.4.3-1) unstable; urgency=low

  * New upstream release(s): primarily bugfixes and optimizations but also
    with some minor API changes and new functionality
  * Adjusted debian/watch to match new layout on github

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Oct 2011 11:27:50 -0400

pandas (0.4.1-1) unstable; urgency=low

  * New upstream bugfix release
    - incorporated all debian/patches
  * debian/rules: 'clean' removes generated pandas/version.py
  * debian/copyright: adjusted to become DEP-5 compliant

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 25 Sep 2011 21:48:30 -0400

pandas (0.4.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #641464)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Sep 2011 12:24:05 -0400

=== debian/control ===
Source: pandas
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               python-all-dev (>= 2.5), python-support (>= 0.6),
               python-setuptools, cython (>= 0.12~),
               python-numpy, python-dateutil,
               python-scipy,
               python-scikits.statsmodels,
               python-tz,
               python-tables, python-xlrd,
               python-sphinx (>= 1.0~),
               python-nose,
               python-matplotlib,
Standards-Version: 3.9.2
Homepage: http://pandas.sourceforge.net
Vcs-Browser: http://github.com/neurodebian/pandas
Vcs-Git: git://github.com/neurodebian/pandas.git

Package: python-pandas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-dateutil,
         python-pandas-lib(>= ${source:Version})
Recommends: python-scipy,
            python-matplotlib,
            python-tables,
            python-tz,
            python-xlrd,
            python-scikits.statsmodels
Provides: ${python:Provides}
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure

# No doc package built due to dependency on ipython 0.11 - only experimental
# Package: python-pandas-doc
# Architecture: all
# Section: doc
# Depends: ${misc:Depends}, libjs-jquery
# Suggests: python-pandas
# Description: documentation and examples for pandas
#  This package contains documentation and example scripts for
#  python-pandas.

Package: python-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for pandas
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE_NAME = python-pandas
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vs)
PYVER = $(shell pyversions  -vd)

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils


override_dh_clean:
	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
	dh_clean
	: # prune auto-generated version.py -- will be generated during build again
	rm -f pandas/version.py


override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}
# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests here against installed pandas
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	cd build/; python$* /usr/bin/nosetests -s -v pandas;
else
	: # Skip unittests due to nocheck
endif


override_dh_installdocs:
	: # Build Documentation using installed pandas
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	: # not building documentation ATM since requires ipython 0.11
# 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
# 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
# 	 cd doc; python make.py html
endif
endif
	: # Use jquery from Debian package, so prune shipped one
	#TODO -rm doc/_build/html/_static/jquery.js
	dh_installdocs -A RELEASE.rst TODO.rst README*.rst

#override_dh_installchangelogs:
#	dh_installchangelogs doc/whats_new.rst

## move binary libraries into -lib
override_dh_pysupport:
	: # Move platform-specific libraries into -lib
	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-pandas-lib; fi
	dh_pysupport

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/pandas-$1\.tar\.gz/" \
 http://github.com/wesm/pandas/tags .*tarball/v?([\d\.]+)

## pandas 0.7.0

=== debian/changelog ===
pandas (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Updated pre-cythoned .c files for older Debian/Ubuntu releases.
    Added a stamp file with upstream version to assure up-to-dateness
    of the generated files
  * Dropped all exclusions of unittests and patches -- shouldn't be necessary
    any longer
  * Build only for requested versions (not all supported) of Python
  * Do nothing for build operation, rely on overloaded install
    (to avoid undesired re-cythonization on elderly Ubuntus)
  * Adjusted url in watch due to migration of repository under pydata
    organization

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2012 19:31:50 -0500

pandas (0.6.1-1) UNRELEASED; urgency=low

  * New upstream release
  * python-tk into Build-Depends
  * Create matplotlibrc with backend: Agg to allow tests run without $DISPLAY
  * Carry pre-cythonized .c files for systems with older Cython
  * Skip few tests known to fail

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 Dec 2011 18:36:11 -0500

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib,
+               python-tk
 Standards-Version: 3.9.2
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,47 @@
 PACKAGE_NAME = python-pandas
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 
-PYVERS = $(shell pyversions -vs)
-PYVER = $(shell pyversions  -vd)
+PYVERS = $(shell pyversions -vr)
+PYVER = $(shell pyversions -vd)
+
+UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
+CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
+MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
+
+MIN_CYTHONVER = 0.15.1
+EXCLUDE_MORETESTS := 
+# $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')
 
 # Mega rule
 %:
 	: # Explicit build system to avoid use of all-in-1 Makefile
 	dh $@ --buildsystem=python_distutils
 
+cythonize:
+	find pandas/src -iname *.c -delete
+	python setup.py cython
+	cp pandas/src/*.c debian/cythonized-files
+	echo "$(UVER)" >| debian/cythonized-files/VERSION
+
+override_dh_auto_configure:
+	dpkg --compare-versions $(CYTHONVER) lt $(MIN_CYTHONVER) && { \
+		echo "I: Using pre-Cython-ed files"; \
+		cp -rp debian/cythonized-files/*.c pandas/src/; } || :
+	dh_auto_configure
 
 override_dh_clean:
+	: # Make sure that cythonized sources are up-to-date
+	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
 	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
+	grep -l -e 'Generated by Cython' pandas/src/*.c | xargs -r rm -f
 	dh_clean
 	: # prune auto-generated version.py -- will be generated during build again
 	rm -f pandas/version.py
 
+override_dh_auto_build:
+	# Override default build operation which --force's re-cythonization
+	# on elderly ubuntus
+	:
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}
 # Per Python version logic -- install, test, move .so into -lib
@@ -27,10 +53,12 @@
 
 python-test%: python-install%
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
 	: # Run unittests here against installed pandas
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	cd build/; python$* /usr/bin/nosetests -s -v pandas;
+	: # Upstream was informed about testFamaMacBethRolling failures on 32bit
 else
 	: # Skip unittests due to nocheck
 endif

## pandas 0.7.1+git1-ga2e86c2

=== debian/changelog ===
pandas (0.7.1+git1-ga2e86c2-1) unstable; urgency=low

  * New upstream release with a bugfix which followed

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Mar 2012 22:28:10 -0500

## pandas 0.7.3

=== debian/changelog ===
pandas (0.7.3-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 12 Apr 2012 20:44:24 -0400

pandas (0.7.3-1) unstable; urgency=low

  * Fresh upstream release
    - few post-release patches (submitted upstream) to exclude unittests
  	  requiring network access
  * debian/control:
    - python-openpyxl, python-xlwt, python-xlrd into Build-Depends
      and Recommends
  * debian/rules:
    - exclude running tests marked with @network

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Apr 2012 11:27:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5), python-support (>= 0.6),
@@ -14,7 +15,8 @@
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib,
-               python-tk
+               python-tk,
+               python-openpyxl, python-xlwt, python-xlrd,
 Standards-Version: 3.9.2
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
@@ -22,7 +24,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy,
          python-dateutil,
          python-pandas-lib(>= ${source:Version})
@@ -31,7 +33,8 @@
             python-tables,
             python-tz,
             python-xlrd,
-            python-scikits.statsmodels
+            python-scikits.statsmodels,
+            python-openpyxl, python-xlwt, python-xlrd,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data
@@ -64,7 +67,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas

=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,7 @@
 	: # Run unittests here against installed pandas
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	cd build/; python$* /usr/bin/nosetests -s -v pandas;
-	: # Upstream was informed about testFamaMacBethRolling failures on 32bit
+	cd build/; python$* /usr/bin/nosetests -s -v -a '!network' pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -90,7 +89,7 @@
 	   sdir=$$(dirname $$lib) ; \
 	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
 	   mkdir -p $$tdir ; \
-	   echo "Moving '$$lib' into '$$tdir'." ; \
+	   echo "I: Moving '$$lib' into '$$tdir'." ; \
 	   mv $$lib $$tdir ; \
 	done
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-pandas-lib; fi

## pandas 0.8.0

=== debian/changelog ===
pandas (0.8.0-2) unstable; urgency=medium

  * up_tag_yahoo_test_requiring_network patch cherry-picked from upstream
    GIT so that tests would not be excercised at package build time
    (Closes: #681449)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Jul 2012 08:54:41 -0400

pandas (0.8.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/control
    - drop python-statsmodels from Build-Depends since it might not be yet
      available on some architectures and is not critical for the test
    - recommend python-statsmodels instead of deprecated
      python-scikits.statsmodels

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 13:02:28 -0400

pandas (0.8.0~rc2+git26-g76c6351-1) experimental; urgency=low

  * Fresh upstream release candidate
    - all patches dropped (upstreamed)
    - requires numpy >= 1.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jun 2012 13:23:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5), python-support (>= 0.6),
                python-setuptools, cython (>= 0.12~),
-               python-numpy, python-dateutil,
+               python-numpy (>= 1:1.6~), python-dateutil,
                python-scipy,
-               python-scikits.statsmodels,
                python-tz,
                python-tables, python-xlrd,
                python-sphinx (>= 1.0~),
@@ -24,8 +22,8 @@
 
 Package: python-pandas
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
-         python-numpy,
+Depends: ${misc:Depends}, ${python:Depends},
+         python-numpy (>= 1:1.6~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version})
 Recommends: python-scipy,
@@ -33,7 +31,7 @@
             python-tables,
             python-tz,
             python-xlrd,
-            python-scikits.statsmodels,
+            python-statsmodels,
             python-openpyxl, python-xlwt, python-xlrd,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
@@ -67,7 +65,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas

=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/pandas-$1\.tar\.gz/" \
 http://github.com/pydata/pandas/tags .*tarball/v?([\d\.]+)

## pandas 0.9.1

=== debian/changelog ===
pandas (0.9.1-1ubuntu4) raring; urgency=low

  * handle that indep package folder does not exist on arch only build

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 27 Nov 2012 22:39:31 +0100

pandas (0.9.1-1ubuntu3) raring; urgency=low

  * use .install files for the -lib packages, fixes missing
    extensions in the arch-only builds
  * drop duplicate build depends and fix a python3 build dependency

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 27 Nov 2012 20:33:31 +0100

pandas (0.9.1-1ubuntu2) raring; urgency=low

  * provide python3 package
  * fix-endian-tests.patch:
    patch from upstream to fix the test failure on big endian machines

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 26 Nov 2012 20:51:17 +0100

pandas (0.9.1-1ubuntu1) raring; urgency=low

  * relax-float-tests.patch:
    replace float equality tests with almost equal

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 21 Nov 2012 20:25:41 +0100

pandas (0.9.1-1) experimental; urgency=low

  * New upstream release
  * Boosted policy to 3.9.3 (no due changes)
  * debian/rules
    - Fixed up cleaning up of cythonized files

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Nov 2012 09:44:14 -0500

pandas (0.9.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 07 Oct 2012 21:26:23 -0400

pandas (0.9.0~rc2-1) experimental; urgency=low

  * New upstream release candidate

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Sep 2012 10:27:52 -0400

pandas (0.8.1-1) unstable; urgency=low

  * Primarily a bugfix upstream release.
  * up_tag_yahoo_test_requiring_network patch removed.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jul 2012 20:13:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5), python-support (>= 0.6),
@@ -9,13 +10,23 @@
                python-numpy (>= 1:1.6~), python-dateutil,
                python-scipy,
                python-tz,
-               python-tables, python-xlrd,
+               python-tables,
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib,
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-Standards-Version: 3.9.2
+               python3-all-dev (>= 2.5),
+               python3-setuptools, cython3 (>= 0.12~),
+               python3-numpy (>= 1:1.6~), python3-dateutil,
+               python3-scipy,
+               python3-tz,
+               python3-sphinx (>= 1.0~),
+               python3-nose,
+               python3-matplotlib,
+               python3-tk
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.3
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
 Vcs-Git: git://github.com/neurodebian/pandas.git
@@ -52,6 +63,39 @@
   - Any other form of observational / statistical data sets. The data
     actually need not be labeled at all to be placed into a pandas
     data structure
+  .
+  This package contains the Python 2 version.
+
+Package: python3-pandas
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+         python3-numpy (>= 1:1.6~),
+         python3-dateutil,
+         python3-pandas-lib(>= ${source:Version})
+Recommends: python3-scipy,
+            python3-matplotlib,
+            python3-tables,
+            python3-tz
+Suggests: python-pandas-doc
+Description: data structures for "relational" or "labeled" data - Python 3
+ pandas is a Python package providing fast, flexible, and expressive
+ data structures designed to make working with "relational" or
+ "labeled" data both easy and intuitive. It aims to be the fundamental
+ high-level building block for doing practical, real world data
+ analysis in Python. pandas is well suited for many different kinds of
+ data:
+ .
+  - Tabular data with heterogeneously-typed columns, as in an SQL
+    table or Excel spreadsheet
+  - Ordered and unordered (not necessarily fixed-frequency) time
+    series data.
+  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
+    row and column labels
+  - Any other form of observational / statistical data sets. The data
+    actually need not be labeled at all to be placed into a pandas
+    data structure
+ .
+ This package contains the Python 3 version.
 
 # No doc package built due to dependency on ipython 0.11 - only experimental
 # Package: python-pandas-doc
@@ -71,3 +115,14 @@
 Description: low-level implementations and bindings for pandas
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.
+ .
+ This package contains the Python 2 version.
+
+Package: python3-pandas-lib
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
+Description: low-level implementations and bindings for pandas - Python 3
+ This is an add-on package for python-pandas providing
+ architecture-dependent extensions.
+ .
+ This package contains the Python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -2,26 +2,32 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 PACKAGE_NAME = python-pandas
+PACKAGE3_NAME = python3-pandas
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
+PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}
 
 PYVERS = $(shell pyversions -vr)
 PYVER = $(shell pyversions -vd)
+PY3VERS = $(shell py3versions -vr)
+PY3VER = $(shell py3versions -vd)
 
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
 CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
 MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 
-MIN_CYTHONVER = 0.15.1
+MIN_CYTHONVER = 0.17.1
 EXCLUDE_MORETESTS := 
 # $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')
 
 # Mega rule
 %:
 	: # Explicit build system to avoid use of all-in-1 Makefile
-	dh $@ --buildsystem=python_distutils
+	dh $@ --buildsystem=python_distutils --with python3
 
-cythonize:
-	find pandas/src -iname *.c -delete
+clean_generated:
+	grep -l -e 'Generated by Cython' pandas/src/*.c | xargs -r rm -f
+
+cythonize: clean_generated
 	python setup.py cython
 	cp pandas/src/*.c debian/cythonized-files
 	echo "$(UVER)" >| debian/cythonized-files/VERSION
@@ -32,11 +38,10 @@
 		cp -rp debian/cythonized-files/*.c pandas/src/; } || :
 	dh_auto_configure
 
-override_dh_clean:
+override_dh_clean: clean_generated
 	: # Make sure that cythonized sources are up-to-date
 	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
 	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
-	grep -l -e 'Generated by Cython' pandas/src/*.c | xargs -r rm -f
 	dh_clean
 	: # prune auto-generated version.py -- will be generated during build again
 	rm -f pandas/version.py
@@ -46,22 +51,33 @@
 	# on elderly ubuntus
 	:
 
-override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}
+override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python3-test%}
 # Per Python version logic -- install, test, move .so into -lib
 python-install%:
-	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
+	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 
 python-test%: python-install%
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
 	: # Run unittests here against installed pandas
-	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
+	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$*/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	cd build/; python$* /usr/bin/nosetests -s -v -a '!network' pandas;
 else
 	: # Skip unittests due to nocheck
 endif
 
+python3-test%: python-install%
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
+	: # Run unittests here against installed pandas
+	: # ignore result for now, some still fail (see gh-2331)
+	-export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python3/*/`; \
+	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
+	cd build/; python$* /usr/bin/nosetests3 -s -v -a '!network' pandas;
+else
+	: # Skip unittests due to nocheck
+endif
 
 override_dh_installdocs:
 	: # Build Documentation using installed pandas
@@ -84,16 +100,19 @@
 
 ## move binary libraries into -lib
 override_dh_pysupport:
-	: # Move platform-specific libraries into -lib
-	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
-	   sdir=$$(dirname $$lib) ; \
-	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
-	   mkdir -p $$tdir ; \
-	   echo "I: Moving '$$lib' into '$$tdir'." ; \
-	   mv $$lib $$tdir ; \
-	done
+	if [ -d debian/$(PACKAGE_NAME)/usr/lib ]; then \
+	   find debian/$(PACKAGE_NAME)/usr/lib -name "*.so" -delete; \
+	fi
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-pandas-lib; fi
 	dh_pysupport
+
+override_dh_python3:
+	if [ -d debian/$(PACKAGE3_NAME)/usr/lib ]; then \
+	   find debian/$(PACKAGE3_NAME)/usr/lib -name "*.so" -delete; \
+	fi
+	if [ -x /usr/bin/dh_numpy3 ]; then dh_numpy3 -ppython3-pandas-lib; fi
+	dh_python3
+
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:

## pandas 0.10.1

=== debian/changelog ===
pandas (0.10.1-1ubuntu1) raring; urgency=low

  * drop or build dependencies on cython and matplotlib

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 03 Mar 2013 21:30:06 +0100

pandas (0.10.1-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Jan 2013 13:07:31 -0500

pandas (0.10.0-1) experimental; urgency=low

  * New upstream release
    - drops python 2.5 support (we are dropping pyversions in favor of
      X-Python-Version)
  * debian/patches:
    - all previous are in upstream now, dropped locally
    - added -dsc-patch'es for systems without cython3
  * debian/control:
    - added python-statsmodels for the extended tests coverage

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Dec 2012 12:27:25 -0500

pandas (0.9.1-2) unstable; urgency=low

  [ Julian Taylor ]
  * Provide python3 packages
  * Add autopkgtests
  * debian/patches:
    - relax-float-tests.patch:
      replace float equality tests with almost equal
    - fix-endian-tests.patch:
      patch from upstream to fix the test failure on big endian machines

  [ Yaroslav Halchenko ]
  * Upload to unstable
  * Dropping pysupport
  * debian/rules:
    - slight reduction of code duplication between python 2 and 3
    - cythonize for both python 2 and 3 into separate directories

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Dec 2012 22:57:47 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
-               python-all-dev (>= 2.5), python-support (>= 0.6),
-               python-setuptools, cython (>= 0.12~),
-               python-numpy (>= 1:1.6~), python-dateutil,
+               python-all-dev (>= 2.5),
+               python-setuptools,
+               cython (>= 0.17.1~),
+               python-numpy (>= 1:1.6.1~), python-dateutil,
                python-scipy,
                python-tz,
                python-tables,
@@ -16,20 +17,24 @@
                python-matplotlib,
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-               python3-all-dev (>= 2.5),
-               python3-setuptools, cython3 (>= 0.12~),
-               python3-numpy (>= 1:1.6~), python3-dateutil,
+               python-statsmodels,
+               python3-all-dev,
+               python3-setuptools,
+               cython3 (>= 0.17.1~),
+               python3-numpy (>= 1:1.6.1~), python3-dateutil,
                python3-scipy,
                python3-tz,
                python3-sphinx (>= 1.0~),
                python3-nose,
                python3-matplotlib,
                python3-tk
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.3
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
 Vcs-Git: git://github.com/neurodebian/pandas.git
+XS-Testsuite: autopkgtest
 
 Package: python-pandas
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_HARDENING=1

# Pass hardening flags into distutils
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
export CFLAGS

PACKAGE2_NAME = python-pandas
PACKAGE3_NAME = python3-pandas
PACKAGE2_ROOT_DIR = debian/${PACKAGE2_NAME}
PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')

MIN_CYTHONVER = 0.17.3

# Some unittests might need to be excluded for different Python versions
EXCLUDE_TESTS2 := 
EXCLUDE_TESTS3.2 := 
#--exclude "test_bootstrap_plot"
EXCLUDE_TESTS3.3 := 
#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"

# MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
# $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils --with python2,python3

clean_generated:
	grep -l -e 'Generated by Cython' pandas/src/*.c | xargs -r rm -f

_cythonize%:
	debian/rules clean_generated # force removal of previous copies
	python$(*:2=) setup.py cython
	D=debian/cythonized-files$(*:2=) && \
		cp pandas/src/*.c $$D && \
		git add -f $$D/*.c && \
		echo "$(UVER)" >| $$D/VERSION

cythonize: _cythonize2 _cythonize3

override_dh_clean: clean_generated
	: # Make sure that cythonized sources are up-to-date
	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
	dh_clean
	: # prune auto-generated version.py -- will be generated during build again
	rm -f pandas/version.py

override_dh_auto_build:
	# Override default build operation which --force's re-cythonization
	# on elderly ubuntus
	:

override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
# Per Python version logic -- install, test, remomove .so (installed into -lib)
python-install%:
	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
		echo "I: Using pre-Cython-ed files for Python $*"; \
		cp -rp debian/cythonized-files$$PY/*.c pandas/src/; } || :

	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
	: # Run unittests here against installed pandas
	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	cd build/; python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS$*) pandas;
else
	: # Skip unittests due to nocheck
endif

override_dh_installdocs:
	: # Build Documentation using installed pandas
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	: # not building documentation ATM since requires ipython 0.11
# 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
# 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
# 	 cd doc; python make.py html
endif
endif
	: # Use jquery from Debian package, so prune shipped one
	#TODO -rm doc/_build/html/_static/jquery.js
	dh_installdocs -A RELEASE.rst TODO.rst README*.rst

#override_dh_installchangelogs:
#	dh_installchangelogs doc/whats_new.rst

## remove .so libraries from main package, and call dh_numpy*
## while removing 2 if not present
_dh_python%:
	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
	fi
	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
	dh_python$*

## "Instantiate" both rules so dh sees them
override_dh_python2: _dh_python2
override_dh_python3: _dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

=== debian/tests/control ===
Tests: unittests
Depends: python-all,
         python-dateutil,
         python-matplotlib,
         python-nose,
         python-numpy,
         python-openpyxl,
         python-pandas,
         python-scipy,
         python-statsmodels,
         python-tables,
         python-tk,
         python-tz,
         python-xlrd,
         python-xlwt

Tests: unittests3
Depends: python3-all,
         python3-dateutil,
         python3-matplotlib,
         python3-nose,
         python3-numpy,
         python3-pandas,
         python3-scipy,
         python3-tk,
         python3-tz

## pandas 0.12.0

=== debian/changelog ===
pandas (0.12.0-2ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Drop "or" build dependencies on cython and matplotlib.
    - Disable stata tests, which currently require root permission.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 24 Sep 2013 18:54:31 +0400

pandas (0.12.0-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * DEP-8 tests improvements:
    - Use Xvfb for running tests.
    - Increase verbosity using -v flag.
    - Fix printing interpreter version in unittests3.
  * Fix indentaion in debian/control.

  [ Yaroslav Halchenko ]
  * debian/control
    - place python3-matplotlib ahead of elderly python-matplotlib without
      python3 support since now we have python3-matplotlib in sid
  * debian/copyright
    - go through reported missing copyright/license statements (Closes:
      #700564) Thanks Luca Falavigna for the report
  * debian/rules,patches
    - exclude test test_bar_log due to incompatibility with matplotlib 1.3.0 (test
      adjusted upstream and would be re-enabled for the new release).
    - debian/patches/changeset_952c5f0bc433622d21df20ed761ee4cb728370eb.diff
      adds matplotlib 1.3.0 compatibility

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 14 Sep 2013 20:02:58 -0400

pandas (0.12.0-1) unstable; urgency=low

  * New upstream release:
    - should address failed tests on 32bit platforms
  * debian/patches
    - neurodebian: allow to build for jessie with outdated cython
  * debian/control
    - build for Python2 >= 2.7 due to some (probably temporary) incompatibilities
      in tests with 2.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Jul 2013 23:29:03 -0400

pandas (0.12.0~rc1+git127-gec8920a-1ubuntu3) saucy; urgency=low

  * DEP-8 tests fixes:
    - Increase verbosity using -v flag.
    - Disable stata tests, which currently require root permission.
    - Fix printing interpreter version in unittests3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 25 Jul 2013 15:17:02 +0400

pandas (0.12.0~rc1+git127-gec8920a-1ubuntu2) saucy; urgency=low

  * debian/patches/fix_failing_test.diff: fix failing test on i386.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 24 Jul 2013 19:42:48 +0400

pandas (0.12.0~rc1+git127-gec8920a-1ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Drop or build dependencies on cython and matplotlib.
    - Use xvfb in DEP-8 tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 21 Jul 2013 15:38:49 +0400

pandas (0.12.0~rc1+git127-gec8920a-1) experimental; urgency=low

  * New upstream snapshot from origin/master at v0.12.0rc1-127-gec8920a
    - should address FTBFS due to failing tests on big endians

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 20 Jul 2013 09:23:04 -0400

pandas (0.12.0~rc1+git112-gb79996c-1ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining change:
    - drop or build dependencies on cython and matplotlib
  * Use xvfb in DEP-8 tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Jul 2013 15:46:28 +0400

pandas (0.12.0~rc1+git112-gb79996c-1) experimental; urgency=low

  * Fresh git snapshot of upstream candidate release. Experimental build
    to verify functioning across the ports.
  * debian/control
    - dedented last "paragraph" to break it away from the 2nd one.
      Thanks Beatrice Torracca for the detailed report (Closes: #712260)
    - Depends on python-six now
  * debian/{,tests/}control
    - added python{,3}-bs4, python-html5lib to Build-Depends for more
      thorough testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 18 Jul 2013 13:15:19 -0400

pandas (0.11.0-2ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining change:
    - drop or build dependencies on cython and matplotlib

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 23 Jun 2013 18:54:18 +0400

pandas (0.11.0-2) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Upload to unstable -- this upstream release addressed Cython 0.19
    compatibility issue (Closes: #710608)
  * Recommends numexpr
  * Re-cythonized using Cython 0.19

  [ Dmitry Shachnev ]
  * debian/tests/unittests3: use nosetests3 instead of nosetests-3.x.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jun 2013 11:57:43 -0400

pandas (0.10.1-1ubuntu2) saucy; urgency=low

  * debian/tests/unittests3: use nosetests3 instead of nosetests-3.x.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 21 May 2013 21:11:56 +0400

pandas (0.11.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Apr 2013 22:40:15 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,9 @@
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
                python-statsmodels,
+               python-bs4,
+               python-html5lib,
+               python-six,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~),
@@ -27,8 +30,10 @@
                python3-sphinx (>= 1.0~),
                python3-nose,
                python3-matplotlib,
-               python3-tk
-X-Python-Version: >= 2.6
+               python3-tk,
+               python3-bs4,
+               python3-six,
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.3
 Homepage: http://pandas.sourceforge.net
@@ -41,14 +46,18 @@
 Depends: ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.6~),
          python-dateutil,
-         python-pandas-lib(>= ${source:Version})
+         python-pandas-lib(>= ${source:Version}),
+         python-six,
 Recommends: python-scipy,
             python-matplotlib,
             python-tables,
+            python-numexpr,
             python-tz,
             python-xlrd,
             python-statsmodels,
             python-openpyxl, python-xlwt, python-xlrd,
+            python-bs4,
+            python-html5lib,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data
@@ -68,8 +77,8 @@
   - Any other form of observational / statistical data sets. The data
     actually need not be labeled at all to be placed into a pandas
     data structure
-  .
-  This package contains the Python 2 version.
+ .
+ This package contains the Python 2 version.
 
 Package: python3-pandas
 Architecture: all
@@ -79,8 +88,12 @@
          python3-pandas-lib(>= ${source:Version})
 Recommends: python3-scipy,
             python3-matplotlib,
+            python3-numexpr,
             python3-tables,
-            python3-tz
+            python3-tz,
+            python3-bs4,
+            python3-html5lib,
+            python3-six,
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data - Python 3
  pandas is a Python package providing fast, flexible, and expressive

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,11 @@
 MIN_CYTHONVER = 0.17.3
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS2 := 
-EXCLUDE_TESTS3.2 := 
+EXCLUDE_TESTS := --exclude test_bar_log
+EXCLUDE_TESTS2 :=
+EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := 
+EXCLUDE_TESTS3.3 :=
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
@@ -37,15 +38,28 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 clean_generated:
-	grep -l -e 'Generated by Cython' pandas/src/*.c | xargs -r rm -f
+	find pandas/ -name *.c | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f
 
 _cythonize%:
 	debian/rules clean_generated # force removal of previous copies
 	python$(*:2=) setup.py cython
 	D=debian/cythonized-files$(*:2=) && \
-		cp pandas/src/*.c $$D && \
-		git add -f $$D/*.c && \
-		echo "$(UVER)" >| $$D/VERSION
+		git rm -rf $$D; \
+		find pandas/ -name *.c | while read f; do \
+			grep -q 'Generated by Cython' "$$f" || continue; \
+			mkdir -p "$$D/$$(dirname $$f)"; \
+			cp "$$f" "$$D/$$(dirname $$f)"; \
+			git add -f "$$D/$$f"; \
+		done; \
+		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION
+
+_uncythonize%:
+	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
+	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
+	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
+		echo "I: Using pre-Cython-ed files for Python $*"; \
+		cd debian/cythonized-files$$PY/ ; \
+		find . -name *.c | while read f; do cp $$f ../../$$f; done; } || :
 
 cythonize: _cythonize2 _cythonize3
 
@@ -64,13 +78,7 @@
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
 # Per Python version logic -- install, test, remomove .so (installed into -lib)
-python-install%:
-	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
-	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
-	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
-		echo "I: Using pre-Cython-ed files for Python $*"; \
-		cp -rp debian/cythonized-files$$PY/*.c pandas/src/; } || :
-
+python-install%: _uncythonize%
 	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 
 python-test%: python-install%
@@ -80,7 +88,8 @@
 	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
 	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	cd build/; python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS$*) pandas;
+	python$* ci/print_versions.py; \
+    cd build/; python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -99,7 +108,7 @@
 endif
 	: # Use jquery from Debian package, so prune shipped one
 	#TODO -rm doc/_build/html/_static/jquery.js
-	dh_installdocs -A RELEASE.rst TODO.rst README*.rst
+	dh_installdocs -A *.rst
 
 #override_dh_installchangelogs:
 #	dh_installchangelogs doc/whats_new.rst
